LinuxQMISDK: voiceCallInfoResp Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
voiceCallInfoResp Struct Reference

## Data Fields
callInfo * | pCallInfo
remotePartyNum * | pRemotePartyNum
WORD * | pSrvOpt
BYTE * | pVoicePrivacy
BYTE * | pOTASPStatus
remotePartyName * | pRemotePartyName
UUSInfo * | pUUSInfo
BYTE * | pAlertType
alphaIDInfo * | pAlphaIDInfo
connectNumInfo * | pConnectNumInfo
diagInfo * | pDiagInfo
ULONG * | pAlertingPattern

## Detailed Description

This structure contains information of the response parameters associated with a call.

Parameters

  pCallInfo | See callInfo for more information.
  pRemotePartyNum | See remotePartyNum for more information.
  pSrvOpt | Service option Applicable only for 3GPP2 devices. See Table8 qaGobiApiTableServiceOptions.h for standard service option number assignments.
  pVoicePrivacy | Voice Privacy. Applicable only for 3GPP2 devices. Values. 0x00 - VOICE_PRIVACY_STANDARD - Standard privacy 0x01 - VOICE_PRIVACY_ENHANCED - Enhanced privacy 0xFF - Not Available
  pOTASPStatus | OTASP status for the OTASP call. Applicable only for 3GPP2 devices. 0x00 - OTASP_STATUS_SPL_UNLOCKED - SPL unlocked; only for user-initiated OTASP 0x01 - OTASP_STATUS_SPRC_RETRIES_EXCEEDED - SPC retries exceeded; only for user-initiated OTASP 0x02 - OTASP_STATUS_AKEY_EXCHANGED - A-key exchanged; only for user-initiated OTASP 0x03 - OTASP_STATUS_SSD_UPDATED - SSD updated; for both user-initiated OTASP and network-initiated OTASP (OTAPA) 0x04 - OTASP_STATUS_NAM_DOWNLOADED - NAM downloaded; only for user-initiated OTASP 0x05 - OTASP_STATUS_MDN_DOWNLOADED - MDN downloaded; only for user-initiated OTASP 0x06 - OTASP_STATUS_IMSI_DOWNLOADED - IMSI downloaded; only for user-initiated OTASP 0x07 - OTASP_STATUS_PRL_DOWNLOADED - PRL downloaded; only for user-initiated OTASP 0x08 - OTASP_STATUS_COMMITTED - Commit successful; only for user-initiated OTASP 0x09 - OTASP_STATUS_OTAPA_STARTED - OTAPA started; only for network-initiated OTASP (OTAPA) 0x0A - OTASP_STATUS_OTAPA_STOPPED - OTAPA stopped; only for network-initiated OTASP (OTAPA) 0x0B - OTASP_STATUS_OTAPA_ABORTED - OTAPA aborted; only for network-initiated OTASP (OTAPA) 0x0C - OTASP_STATUS_OTAPA_COMMITTED - OTAPA committed; only for network-initiated OTASP (OTAPA) 0xFF - Not Available
  pRemotePartyName | Applicable only for 3GPP devices. See remotePartyName for more information.
  pUUSInfo | Applicable only for 3GPP devices. See UUSInfo for more information.
  pAlertType | Alerting type. Applicable only for 3GPP devices. 0x00 - ALERTING_LOCAL - Local 0x01 - ALERTING_REMOTE - Remote 0xFF - Not Available
  pAlphaIDInfo | Applicable only for 3GPP devices. See alphaIDInfo for more information.
  pConnectNumInfo | See connectNumInfo for more information.
  pDiagInfo | See diagInfo for more information.
  pAlertingPattern | Alerting pattern. 0x00 - QMI_VOICE_ALERTING_PATTERN_1 - Pattern 1 0x01 - QMI_VOICE_ALERTING_PATTERN_2 - Pattern 2 0x02 - QMI_VOICE_ALERTING_PATTERN_3 - Pattern 3 0x04 - QMI_VOICE_ALERTING_PATTERN_5 - Pattern 5 0x05 - QMI_VOICE_ALERTING_PATTERN_6 - Pattern 6 0x06 - QMI_VOICE_ALERTING_PATTERN_7 - Pattern 7 0x07 - QMI_VOICE_ALERTING_PATTERN_8 - Pattern 8 0x08 - QMI_VOICE_ALERTING_PATTERN_9 - Pattern 9 0xFF - Not Available

## Field Documentation

ULONG* voiceCallInfoResp::pAlertingPattern

BYTE* voiceCallInfoResp::pAlertType

alphaIDInfo* voiceCallInfoResp::pAlphaIDInfo

callInfo* voiceCallInfoResp::pCallInfo

connectNumInfo* voiceCallInfoResp::pConnectNumInfo

diagInfo* voiceCallInfoResp::pDiagInfo

BYTE* voiceCallInfoResp::pOTASPStatus

remotePartyName* voiceCallInfoResp::pRemotePartyName

remotePartyNum* voiceCallInfoResp::pRemotePartyNum

WORD* voiceCallInfoResp::pSrvOpt

UUSInfo* voiceCallInfoResp::pUUSInfo

BYTE* voiceCallInfoResp::pVoicePrivacy